Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.config
Class JaxWsClientFactoryBean

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
              org.mule.module.cxf.builder.JaxWsClientMessageProcessorBuilder
                  org.mule.module.cxf.config.JaxWsClientFactoryBean

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder, org.springframework.beans.factory.FactoryBean

    public class JaxWsClientFactoryBean

extends JaxWsClientMessageProcessorBuilder
implements org.springframework.beans.factory.FactoryBean

Field Summary

Fields inherited from class org.mule.module.cxf.builder.JaxWsClientMessageProcessorBuilder
`clientClass, clientProxy, port`

Fields inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`serviceClass`

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`JaxWsClientFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class org.mule.module.cxf.builder.JaxWsClientMessageProcessorBuilder
`configureMessageProcessor, createClient, getClientClass, getPort, setClientClass, setPort`

Methods inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`configureClient, getServiceClass, setServiceClass`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxWsClientFactoryBean

    public JaxWsClientFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.